<?php
/*Онлайн игра Football Manager под DCMS версии 6.6.4

 *ВНИМАНИЕ!!! Данный скрипт нельзя распространять, нельзя продавать, менять и т.д.

 *Автор скрипта: Doctor

 *Тех поддержка: 

 *icq: 624552318

 *e-mail: dudringvala@yahoo.com

 *skype: isevgio

 */
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='FM логотип';
include_once '../sys/inc/thead.php';
title();
aut();

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_club` WHERE `id_user` = '$user[id]' LIMIT 1",$db), 0)==0){header("Location: index.php?".SID);exit;}
$blog=mysql_fetch_array(mysql_query("select * from `fm_club` where `id_user`='$user[id]';"));


$maxkol_img='1';  //Максимальное количество картинок для одного дневника

if (isset($user) && isset($_GET['add']) && isset($_FILES['file_f']) && ereg('\.', $_FILES['file_f']['name']) && isset($_POST['file_s']))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_img` WHERE `id_club` = '$blog[id]'",$db), 0) >= $maxkol_img)
{
$err='Удалите старую файл!';
}

$file=esc(stripcslashes(htmlspecialchars($_FILES['file_f']['name'])));
$name=eregi_replace('\.[^\.]*$', NULL, $file); // имя файла без расширения
$ras=strtolower(eregi_replace('^.*\.', NULL, $file));
$tmp_name=$_FILES['file_f']['tmp_name'];
$size=filesize($_FILES['file_f']['tmp_name']);
$type=$_FILES['file_f']['type'];


if ($imgc=@imagecreatefromstring(file_get_contents($_FILES['file_f']['tmp_name'])))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_img` WHERE `name` = '$name' && `ras` = '$ras' && `id_club` = '".intval($_GET['id'])."'"),0))
{
$err='файл уже существует!';
}
if (!isset($err)){

mysql_query("INSERT INTO `fm_img` (`id_club`, `name`, `ras`, `size`, `type`) values('$blog[id]', '".$name."', '".$ras."', '".$size."', '".$type."')");
$file_id=mysql_insert_id();
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);

if ($img_x==$img_y)
{
$dstW=80; // ширина
$dstH=80; // высота
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=80;
$dstH=ceil($dstW/$prop);
}
else
{
$prop=$img_y/$img_x;
$dstH=80;
$dstW=ceil($dstH/$prop);
}

$screen=imagecreatetruecolor($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
//imagedestroy($imgc);
//$screen=img_copyright($screen); // наложение копирайта
imagejpeg($screen,H."fm/img/$file_id.jpg",90);
@chmod(H."fm/img/$file_id.jpg",0777);
imagedestroy($screen);
imagedestroy($imgc);
msg("успешно добавлен!");
}
}
else
{
$err='Неверное расширение файла!';
}

}
elseif (isset($_GET['del']) && is_file(H.'fm/img/'.intval($_GET['del']).'.jpg') && mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_img` WHERE `id` = '".intval($_GET['del'])."' && `id_club` = '$blog[id]'"),0))
{
mysql_query("DELETE FROM `fm_img` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");
unlink(H.'fm/img/'.intval($_GET['del']).'.jpg');
msg('Файл успешно удален!');
}


err();
$q_f=mysql_query("SELECT * FROM `fm_img` WHERE `id_club` = '$blog[id]' limit 1");
while ($file = mysql_fetch_assoc($q_f))
{
echo"<div class='menu'>\n";
echo "<img src='img/$file[id].jpg' alt='$file[name]' />\n";
echo "<br />[<a href='img.php?del=$file[id]'>Удалить</a>]\n";
echo "<br />\n";
echo"</div>\n";
}



echo"<div class='menu'>\n";


echo "<form method='post' name='message' enctype='multipart/form-data' action='img.php?id=".intval($_GET['id'])."&amp;add'><div>\n";

echo "<input name='file_f' type='file' />\n";

echo "<input name='file_s' class='doctor' value='Выгрузить' type='submit' />\n";
echo"</div>\n";
echo"</form>";
echo"</div>\n";
echo"<div class='foot'>\n";
echo"&#171; <a href='club.php'>Назад</a><br />\n";
echo"</div>\n";


include_once '../sys/inc/tfoot.php';

?>
